'use strict';

var apiname = 'issuer_oauth3_org';
var baseFields = [ 'createdAt', 'updatedAt', 'deletedAt' ];

module.exports = [
  {
    tablename: apiname + '_private_keys',
    idname: 'id',
    unique: ['id'],
    indices: baseFields.concat([ 'kty', 'kid' ]),
  },
  {
    tablename: apiname + '_jwks',
    idname: 'id',
    unique: ['id'],
    indices: baseFields.concat([ 'kty', 'kid', 'sub' ]),
  },
  {
    tablename: apiname + '_grants',
    idname: 'id',
    unique: ['id'],
    indices: baseFields.concat([ 'sub', 'azp', 'azpSub', 'scope' ]),
  },
];
